@charset "utf-8";

.header {
    position: fixed;
    z-index: 2000;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #FFF;
}

.header .inner {
    width: 90%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    padding: 11px 0;
}

.h_logo {
    max-width: 165px;
    width: 10%;
    margin-right: 4%;
    transition: var(--default);
}

.h_logo:hover {
    opacity: 50%;
}

.header .inner .h_menu {
    gap: 3%;
}

.header .inner .h_menu-sp {
    display: none;
}

.header .inner .h_menu .has-child {
    position: relative;
}

.header .inner .h_menu .menu-item.has-child:hover {
    cursor: pointer;
    opacity: 1;
}

.header .inner .h_menu .menu-trigger {
    display: flex;
    align-items: center;
    gap: 4px;
    transition: var(--default);
}

.header .inner .h_menu .menu-trigger:hover {
    opacity: 50%;
}

.header .inner .h_menu .menu-trigger .arrow {
    width: 0;
    height: 0;
    border-style: solid;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    border-top: 7px solid #072651;
    border-bottom: 0;
}

.header .inner .h_menu .menu-item {
    font-family: var(--ja);
    font-weight: 400;
    font-size: 18px;
    color: #072651;
    transition: var(--default);
}

.header .inner .h_menu .menu-item:hover {
    opacity: 50%;
}

.header .inner .h_menu .child-menu {
    opacity: 0;
    visibility: hidden;
    width: max-content;
    background-color: #FFF;
    padding: 35px;
    position: absolute;
    left: -100%;
    top: calc(100% + 36px);
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.header .inner .has-child.is-open .menu-trigger {
    opacity: 50%;
}

.header .inner .has-child.is-open .child-menu {
    opacity: 1;
    visibility: visible;
}

.header .inner .has-child.is-open .child-menu a {
    transition: var(--default);
    display: flex;
    align-items: center;
    gap: 20px;
}

.header .inner .has-child.is-open .child-menu a .arrow {
    width: 0;
    height: 0;
    border-style: solid;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    border-left: 7px solid #072651;
    border-right: 0;
    transition: transform .4s ease;
}

.header .inner .has-child.is-open .child-menu a:hover {
    opacity: 50%;
}

.header .inner .has-child.is-open .child-menu a:hover .arrow {
    transform: translateX(6px);
}


.hamburger,
.hamburger-menu {
    display: none;
}



.h_menu,
.linkbtn {
    display: flex;
    align-items: center;
    flex: 1;
}

.btn-contact,
.btn-shop {
    font-family: var(--ja);
    font-weight: 700;
    font-size: 18px;
    text-align: center;
    color: #fff;
    height: 78px;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 217px;
    width: 100%;
    transition: var(--default);
}

.btn-contact:hover,
.btn-shop:hover {
    color: #fff;
    transform: scale(.95);
}



.linkbtn {
    margin-left: auto;
    margin-right: 0;
    justify-content: flex-end;
}


.btn-contact {
    background: #17184b;
}

.btn-shop {
    background: #e29c3d;
}

@media (max-width: 1440px) {
    .header .inner {
        width: 95%;
    }

    .h_logo {
        margin-right: 2%;
    }

    .header .inner .h_menu {
        gap: 2%;
    }
}

@media (max-width: 1200px) {
    .h_logo {
        width: 100%;
        margin-left: 0;
    }

    .header .inner .h_menu {
        display: none;
    }

    .header .inner .h_menu-sp {
        display: flex;
        width: 100%;
    }

    .hamburger {
        display: block;
        position: relative;
        width: 48px;
        height: 100%;
        background: #fff;
        border: 1px solid #17184b;
    }

    .hamburger .line {
        position: absolute;
        width: 25px;
        height: 2px;
        background-color: #143064;
        top: 11px;
        left: 0;
        right: 0;
        margin: auto;
        transition: var(--default);
    }

    .hamburger .line:nth-child(2) {
        top: 18px;
    }

    .hamburger .line:nth-child(3) {
        top: 25px;
    }

    .hamburger.active .line:nth-child(1) {
        transform: rotate(45deg);
        top: 18px;
    }

    .hamburger.active .line:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .line:nth-child(3) {
        transform: rotate(-45deg);
        top: 18px;
    }

    .btn-contact,
    .btn-shop {
        height: 39px;
        max-width: 48px;
    }

    .hamburger-menu {
        display: block;
        transform: translateX(100%);
        position: absolute;
        right: 0;
        width: 55%;
        height: 100svh;
        transition: transform .4s ease;
        background-color: #FFF;
    }

    .hamburger-menu.open {
        transform: translateX(0);
    }

    .hamburger-menu .menu-inner {
        width: 95%;
        margin: 0 auto;
        padding: 30px 0;
    }

    .hamburger-menu .menu-inner .menu-item.has-child {
        flex-direction: column;
        margin-bottom: 30px;
        align-items: flex-start;
    }

    .hamburger-menu .menu-inner .menu-item.has-child::before {
        content: none;
    }

    .hamburger-menu .menu-inner .othermenu {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 30px 4%;
    }

    .hamburger-menu .menu-inner .menu-item,
    .hamburger-menu .menu-inner .menu-trigger {
        display: flex;
        align-items: center;
        gap: 6px;
        width: 100%;
        font-family: var(--ja);
        font-weight: 500;
        font-size: 16px;
        color: #072651;
    }

    .hamburger-menu .menu-inner .menu-item::before,
    .hamburger-menu .menu-inner .menu-trigger::before {
        content: "";
        width: 17px;
        height: 17px;
        border-radius: 50px;
        border: 1px solid #072651;
        display: inline-block;
    }



    .hamburger-menu .menu-inner .menu-item .child-menu {
        margin-left: 23px;
        font-family: var(--ja);
        font-weight: 400;
        font-size: 14px;
        color: #072651;
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .hamburger-menu .menu-inner .menu-item .child-menu .child-item {
        display: flex;
        align-items: center;
        gap: 6px;
    }

    .hamburger-menu .menu-inner .menu-item .child-menu .arrow {
        width: 0;
        height: 0;
        border-style: solid;
        border-top: 4px solid transparent;
        border-bottom: 4px solid transparent;
        border-left: 7px solid #072651;
        border-right: 0;
        transition: transform .4s ease;
    }

    .hamburger-menu .menu-inner .menu-item .child-menu:hover .arrow {
        transform: translateX(6px);
    }
}

@media (max-width: 767px) {
    .hamburger-menu {
        width: 100%;
        height: auto;
    }

    .h_logo {
        max-width: 80px;
    }

    .header .inner {
        padding: 7px 0 8px;
    }
}



.gjs-dashed .header .inner .h_menu .child-menu {
    opacity: 1;
    visibility: visible;
}

.gjs-dashed .hamburger-menu {
    top: 100px;
    height: auto;
    transform: translateX(0);
}